
Name: umbrello
Version: 23.08.5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Summary: Unified Modelling Language (UML) modeling tool stuff
Group: Graphical desktop/KDE5
Url: https://www.kde.org/applications/development/umbrello/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
#Patch0:		umbrello-20.03.80-llvm-10.patch
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: llvm-devel
BuildRequires: llvm-static
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description 
%name is a Unified Modelling Language (UML) modelling tool and code
generator. It can create diagrams of software and other systems in
the industry-standard UML format, and can also generate code from
UML diagrams in a variety of programming languages.


%files
%exclude %_docdir/HTML
%_kf5_bindir
%_kf5_datadir

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides the %name handbook.

%files -n %name-handbook
%_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja \
   -DBUILD_TESTING=OFF \
    -DBUILD_UNITTESTS=OFF \
    -DBUILD_KF5=ON

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

rm -rf %buildroot/qch

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

